org.eclipse.microprofile.graphql.tck.apps.superhero.db

## Class SidekickDatabase

- java.lang.Object
- - org.eclipse.microprofile.graphql.tck.apps.superhero.db.SidekickDatabase

    @ApplicationScoped
    public class SidekickDatabase
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`SidekickDatabase()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addSidekick(Sidekick sidekick)`
`int` `addSidekicks(Collection<Sidekick> sidekicks)`
`Collection<Sidekick>` `getAllSidekicks()`
`Sidekick` `getSidekick(String name)`
`Sidekick` `removeSidekick(String sidekickName)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SidekickDatabase

    public SidekickDatabase()

### Method Detail

#### getSidekick

    public Sidekick getSidekick(String name)
                         throws UnknownSidekickException

Throws:
  `UnknownSidekickException`

#### getAllSidekicks

    public Collection<Sidekick> getAllSidekicks()

#### addSidekicks

    public int addSidekicks(Collection<Sidekick> sidekicks)

#### addSidekick

    public void addSidekick(Sidekick sidekick)
                     throws DuplicateSidekickException

Throws:
  `DuplicateSidekickException`

#### removeSidekick

    public Sidekick removeSidekick(String sidekickName)
                            throws UnknownSidekickException

Throws:
  `UnknownSidekickException`